P4_EXPORT(3)

NAME
p4_export - EXPORT ( old-current "name" -- old-current )

SYNOPSIS

#include <pfe/pfe-base.h>

FCode p4_export(---);

DESCRIPTION

the named word in the hidden dictionary (i.e. the wordlist referenced in CURRENT) is exported into the public wordlist of it (i.e. which is in this implementation CONTEXT[1]). The actual implemenation will create a DEFER-word in the public wordlist withits parameter area pointing to the cfa of the hidden implementation.

      : EXPORT
        CURRENT @ CONTEXT CELL+ @ CURRENT !
        DEFER CURRENT !
        LATEST COUNT CURRENT @ SEARCH-WORDLIST
        IF LATEST NAME&gt; &gt;BODY ! ELSE ABORT" can't find word to export" THEN
      ;

AUTHOR

    • Guido U. Draheim (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) 2000 - 2001 Guido U. Draheim Copyright (C) 2005 - 2008 Guido U. Draheim <guidod@gmx.de>